- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vyos_system – Run set system commands on VyOS devices

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Runs one or more commands on remote devices running VyOS. This module can also be introspected to validate key parameters before returning successfully.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
domain_name - |  | The new domain name to apply to the device.
domain_search - |  | A list of domain names to search. Mutually exclusive with name_server
host_name - |  | Configure the device hostname parameter. This option takes an ASCII string value.
name_servers - |  | A list of name servers to use with the device. Mutually exclusive with domain_search aliases: name_server
provider dictionary |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli`. For more information please see the Network Guide. A dict object containing connection details.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
state - | Choices: present ← absent | Whether to apply (`present`) or remove (`absent`) the settings.

## Notes

Note

- Tested against VyOS 1.1.8 (helium).

- This module works with connection `network_cli`. See the VyOS OS Platform Options.

- For more information on using Ansible to manage network devices see the Ansible Network Guide

## Examples

    - name: configure hostname and domain-name
      vyos_system:
        host_name: vyos01
        domain_name: test.example.com

    - name: remove all configuration
      vyos_system:
        state: absent

    - name: configure name servers
      vyos_system:
        name_servers
          - 8.8.8.8
          - 8.8.4.4

    - name: configure domain search suffixes
      vyos_system:
        domain_search:
          - sub1.example.com
          - sub2.example.com

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['set system hostname vyos01', 'set system domain-name foo.example.com']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Nathaniel Case (@Qalthos)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.